UccageRenderer
Date: 2019-10-22

org.jmol.render

## Class UccageRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.render.FontLineShapeRenderer
    - - org.jmol.render.CageRenderer
      - - org.jmol.render.UccageRenderer

-     public class UccageRenderer
      extends CageRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javajs.util.P3` | `cell0`
    `private javajs.util.P3` | `cell1`
    `private javajs.util.P3` | `fset0`
    `private int` | `lineheight`
    `private javajs.util.P3` | `offset`
    `private javajs.util.P3` | `offsetT`
    `private SymmetryInterface` | `unitcell`
    `private javajs.util.P3[]` | `verticesT`
    `private int` | `xpos`
    `private int` | `ypos`

    - ### Fields inherited from class org.jmol.render.CageRenderer

      `isPolymer, isSlab, p3Screens, tickEdges`

    - ### Fields inherited from class org.jmol.render.FontLineShapeRenderer

      `asLineOnly, colixA, colixB, dashDots, dashes, dotsOrDashes, draw000, endcap, font3d, fourdots, hDashes, imageFontScaling, ndots, pointT, pointT2, pointT3, pt0, pt0i, pt1, pt2i, s1, s2, sixdots, tickA, tickAs, tickB, tickBs, tickInfo, twodots, vectorT, vectorT2, vectorT3, width`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UccageRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `drawInfo(java.lang.String s, int type, java.lang.String post)`
    `protected void` | `initRenderer()`
    `protected boolean` | `render()`
    `private void` | `render1(int mad10)`
    `private void` | `renderInfo()`

    - ### Methods inherited from class org.jmol.render.CageRenderer

      `renderCage`

    - ### Methods inherited from class org.jmol.render.FontLineShapeRenderer

      `checkTickTemps, drawDashed, drawLine, drawLine2, drawString, drawTicks, fillCylinder, getDiameter, renderLine`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### verticesT

          private final javajs.util.P3[] verticesT

    - #### fset0

          private javajs.util.P3 fset0

    - #### cell0

          private javajs.util.P3 cell0

    - #### cell1

          private javajs.util.P3 cell1

    - #### offset

          private javajs.util.P3 offset

    - #### offsetT

          private javajs.util.P3 offsetT

    - #### unitcell

          private SymmetryInterface unitcell

    - #### lineheight

          private int lineheight

    - #### xpos

          private int xpos

    - #### ypos

          private int ypos

  - ### Constructor Detail

    - #### UccageRenderer

          public UccageRenderer()

  - ### Method Detail

    - #### initRenderer

          protected void initRenderer()

      Overrides:
        `initRenderer` in class `ShapeRenderer`

    - #### render

          protected boolean render()

      Specified by:
        `render` in class `ShapeRenderer`

    - #### render1

          private void render1(int mad10)

    - #### renderInfo

          private void renderInfo()

    - #### drawInfo

          private void drawInfo(java.lang.String s,
                                int type,
                                java.lang.String post)